Index: branches/FLEXPART_9.1.3/src/readreleases.f90
===================================================================
--- trunk/src/readreleases.f90	(revision 4)
+++ branches/FLEXPART_9.1.3/src/readreleases.f90	(revision 13)
@@ -33,5 +33,5 @@
   !     Update: 29 January 2001                                                *
   !     Release altitude can be either in magl or masl                         *
-  !                                                                            *
+  !     Update: Aug 2013 IP                                                                        *
   !*****************************************************************************
   !                                                                            *
@@ -55,6 +55,11 @@
   ! xpoint2,ypoint2     geograf. coordinates of upper right corner of release  *
   !                     area                                                   *
-  ! weta, wetb          parameters to determine the wet scavenging coefficient *
+  ! before: weta, wetb          parameters to determine the wet scavenging coefficient *
+  ! weta, wetb          parameters to determine the below-cloud scavenging (NIK)     *
+  ! weta_in, wetb_in    parameters to determine the in-cloud scavenging    (NIK)    *
+  ! wetc_in, wetd_in    parameters to determine the in-cloud scavenging    (NIK)    *  
   ! zpoint1,zpoint2     height range, over which release takes place           *
+  ! num_min_discrete    if less, release cannot be randomized and happens at   *
+  !                     time mid-point of release interval                     *
   !                                                                            *
   !*****************************************************************************
@@ -68,6 +73,7 @@
 
   integer :: numpartmax,i,j,id1,it1,id2,it2,specnum_rel,idum,stat
+  integer,parameter :: num_min_discrete=100
   real :: vsh(ni),fracth(ni),schmih(ni),releaserate,xdum,cun
-  real(kind=dp) :: jul1,jul2,juldate
+  real(kind=dp) :: jul1,jul2,julm,juldate
   character(len=50) :: line
   logical :: old
@@ -277,10 +283,20 @@
     dryvel(i)=dryvel(i)*0.01         ! conversion to m/s
 
+
+
   ! Check if wet deposition or OH reaction shall be calculated
   !***********************************************************
     if (weta(i).gt.0.)  then
       WETDEP=.true.
-      write (*,*) 'Wetdeposition switched on: ',weta(i),i
-    endif
+      !write (*,*) 'Wetdeposition switched on: ',weta(i),i
+       write (*,*) 'Wet deposition switched on'
+       write (*,*) 'Below-cloud scavenging coefficients: ',weta(i),i 
+   endif
+
+! NIK 31.01.2013
+    if (weta_in(i).gt.0.)  then
+      write (*,*) 'In-cloud scavenging coefficients: ',weta_in(i),wetb_in(i), wetc_in(i), wetd_in(i),i
+    endif
+
     if (ohreact(i).gt.0) then
       OHREA=.true.
@@ -376,4 +392,5 @@
   jul1=juldate(id1,it1)
   jul2=juldate(id2,it2)
+  julm=(jul1+jul2)/2.
   if (jul1.gt.jul2) then
     write(*,*) 'FLEXPART MODEL ERROR'
@@ -391,6 +408,11 @@
         stop
       endif
-      ireleasestart(numpoint)=int((jul1-bdate)*86400.)
-      ireleaseend(numpoint)=int((jul2-bdate)*86400.)
+      if (npart(numpoint).gt.num_min_discrete) then
+        ireleasestart(numpoint)=int((jul1-bdate)*86400.)
+        ireleaseend(numpoint)=int((jul2-bdate)*86400.)
+      else
+        ireleasestart(numpoint)=int((julm-bdate)*86400.)
+        ireleaseend(numpoint)=int((julm-bdate)*86400.)
+      endif
     else if (ldirect.eq.-1) then
       if ((jul1.lt.edate).or.(jul2.gt.bdate)) then
@@ -401,6 +423,11 @@
         stop
       endif
-      ireleasestart(numpoint)=int((jul1-bdate)*86400.)
-      ireleaseend(numpoint)=int((jul2-bdate)*86400.)
+      if (npart(numpoint).gt.num_min_discrete) then
+        ireleasestart(numpoint)=int((jul1-bdate)*86400.)
+        ireleaseend(numpoint)=int((jul2-bdate)*86400.)
+      else
+        ireleasestart(numpoint)=int((julm-bdate)*86400.)
+        ireleaseend(numpoint)=int((julm-bdate)*86400.)
+      endif
     endif
   endif
